Bug 483618 - RFE: Add support for multi-thread from recent TI-RPC
RFE: Add support for multi-thread from recent TI-RPC
Status: NEW
Product: Fedora
Classification: Fedora
Component: libtirpc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 11:33 EST by Olivier Fourdan
Modified: 2013-03-03 21:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier Fourdan 2009-02-02 11:33:07 EST
Description of problem:

libtirpc is based on SUN's TIRPCSRC 2.3 and is therefore lacking the MT support that was added later in TIRPCSRC 2.8 and in ONC+ TI-RPC implementations, among which:

 - rpc_control() with mode RPC_SVC_MT_NONE, RPC_SVC_MT_USER or RPC_SVC_MT_AUTO to determine the multi-threading mode used
 - svc_done() to free the resources when all threads are done

  * RPC_SVC_MT_NONE is the equivalent of the current code (no multi-threading in svc_run())
  * In RPC_SVC_MT_AUTO, the server will start a new thread to handle the reaues automatically.
  * In RPC_SVC_MT_USER mode, the developer has control over the creation and destruction of the threads.

This API and mechanism are required to implement multi-threaded RPC servers.
Comment 1 schmidtr@telcordia.com 2009-02-23 20:37:15 EST
I would just like to second Olivier's resquest that MT RPC be 
supported in RH linux.

We are a long time user of Enterprise Linux and have legacy applications that would benefit from this enhancement/fix.

If you guys implement it , I will be more than happy to test it !

Note You need to log in before you can comment on or make changes to this bug.